# Pagination

Data within the Universal Talent API is not paginated when returned to you via API calls.  This is currently a design choice for simplicity as most of the APIs will return relatively small amounts of data.  You may choose to paginate the data on your side after pulling.

{% hint style="info" %}
We will be adding pagination to data in a later update - this is primarily useful in the Directory API for pulling employees.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.peoplelogic.dev/api/universal-talent-api/pagination.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
